# On the PaaS cluster use case we have to allow users to 
# set up SSO to protect their applications, as of Feb 2021
# this is done through the users following a set of instructions
# that imply creating an OIDCReturnURI, hence we have to use these aggregated-clusterroles
# to allow admins of a namespace to create these resources
# This might change in the future, for more info refer to https://gitlab.cern.ch/webservices/webframeworks-planning/-/issues/265
apiVersion: rbac.authorization.k8s.io/v1
kind: ClusterRole
metadata:
  name: oidcreturnuri-editor-role
  # Labels that grant the privileges listed in rules to the default roles on the labels
  labels:
    rbac.authorization.k8s.io/aggregate-to-admin: "true"
    rbac.authorization.k8s.io/aggregate-to-edit: "true"
rules:
- apiGroups:
  - webservices.cern.ch
  resources:
  - oidcreturnuris
  verbs:
  - create
  - delete
  - get
  - list
  - patch
  - update
  - watch
- apiGroups:
  - webservices.cern.ch
  resources:
  - oidcreturnuris/status
  verbs:
  - get
